Skip to content

getInspectionDocument

READ

Get inspection document.

POST /api/v1/quality/getInspectionDocument
curl -X POST '<your-host>/api/v1/quality/getInspectionDocument' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string",
  "name": "string",
  "companyId": "string",
  "partId": "string",
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "content": {
    "drawingNumber": "string",
    "pdfUrl": "string",
    "annotations": [
      "…"
    ],
    "features": [
      "…"
    ]
  },
  "sampling": {
    "samplingPlanType": "string",
    "samplingSampleSize": 0,
    "samplingPercentage": 0,
    "samplingAql": 0,
    "samplingInspectionLevel": "string",
    "samplingSeverity": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}